Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindprod.common11
Class VersionCheck

    java.lang.Object
      com.mindprod.common11.VersionCheck

    public final class VersionCheck

extends java.lang.Object

Check that Java version is sufficiently recent.

Since:
  1997-03-23
Version:
  1.7 2006-03-04
Author:
  Roedy Green, Canadian Mind Products

Method Summary
`static boolean` | `isJavaVersionOK(int wantedMajor, int wantedMinor, int wantedBugFix)` Ensures Java runtime version e.g.
`static boolean` | `isJavaVersionOK(int wantedMajor, int wantedMinor, int wantedBugFix, java.awt.Container container)` use in a paint routine if Java version is not ok, usually tested statically.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### isJavaVersionOK

    public static boolean isJavaVersionOK(int wantedMajor,
                                          int wantedMinor,
                                          int wantedBugFix)

  Ensures Java runtime version e.g. 1.1.7 is sufficiently recent. Based on code by Dr. Tony Dahlman

  Parameters:
    `wantedMajor` - java major version e.g. 1
    `wantedMinor` - Java minor version e.g. 6
    `wantedBugFix` - Java bugfix version e.g. 9, there is no parm for the _14 level. Sun suffers a phobia of changing versions, so uses microversions.
  Returns:
    true if JVM version running is equal to or more recent than (higher than) the level specified.

### isJavaVersionOK

    public static boolean isJavaVersionOK(int wantedMajor,
                                          int wantedMinor,
                                          int wantedBugFix,
                                          java.awt.Container container)

  use in a paint routine if Java version is not ok, usually tested statically.

  Parameters:
    `wantedMajor` - java major version e.g. 1
    `wantedMinor` - Java minor version e.g. 1
    `wantedBugFix` - Java bugfix version e.g. 7
    `container` - container to add an error message component.
  Returns:
    true if version is ok

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD